import { PureComponent } from "react";
import { PropsInterface } from "../../interfaces/interfaces/PropsInterface";
export interface AvatarInterfaceProps extends PropsInterface {
    name?: string;
    image?: string;
    fluid?: boolean;
    default?: boolean;
    color?: string;
    size?: number;
}
export declare class Avatar extends PureComponent<AvatarInterfaceProps> {
    constructor(props: any);
    get getimage(): JSX.Element | null;
    get getName(): JSX.Element | null;
    render(): JSX.Element;
}
